## org.firebirdsql.gds.impl.jni
Class GDSSynchronizationPolicy

    java.lang.Object
      org.firebirdsql.gds.impl.jni.GDSSynchronizationPolicy

    public class GDSSynchronizationPolicy

extends Object

GDS library synchronization policy.

Author:
  Roman Rokytskyy

Nested Class Summary
`static class` `GDSSynchronizationPolicy.AbstractSynchronizationPolicy` Abstract synchronization policy.
`static class` `GDSSynchronizationPolicy.ClientLibrarySyncPolicy` Synchronization policy that ensures one thread per library.

Constructor Summary
`GDSSynchronizationPolicy()`

Method Summary
`static GDS` `applySyncronizationPolicy(GDS gds, GDSSynchronizationPolicy.AbstractSynchronizationPolicy syncPolicy)` Apply synchronization policy on the specfied instance of `GDS`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GDSSynchronizationPolicy

    public GDSSynchronizationPolicy()

Method Detail

### applySyncronizationPolicy

    public static GDS applySyncronizationPolicy(GDS gds,
                                                GDSSynchronizationPolicy.AbstractSynchronizationPolicy syncPolicy)

  Apply synchronization policy on the specfied instance of `GDS`. Depending on the `gdsType` specified implementation might be wrapped by dyna

  Parameters:
    `gds` - instance of `GDS` to wrap.
    `gdsType` - type of the GDS implementation
  Returns:
    instance `GDS` to which synchronization policy was applied.

Copyright © 2001-2010. All Rights Reserved.